aboutsummaryrefslogtreecommitdiff
path: root/utils/icloud_private_relay_ip_addresses_download.sh
diff options
context:
space:
mode:
Diffstat (limited to 'utils/icloud_private_relay_ip_addresses_download.sh')
-rwxr-xr-xutils/icloud_private_relay_ip_addresses_download.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/utils/icloud_private_relay_ip_addresses_download.sh b/utils/icloud_private_relay_ip_addresses_download.sh
index 9b8de3c4c..0579cc757 100755
--- a/utils/icloud_private_relay_ip_addresses_download.sh
+++ b/utils/icloud_private_relay_ip_addresses_download.sh
@@ -1,6 +1,6 @@
#!/bin/sh
-cd "$(dirname "${0}")" || return
+cd "$(dirname "${0}")" || exit 1
DEST=../src/lib/inc_generated/ndpi_icloud_private_relay_match.c.inc
TMP=/tmp/icloud.csv
@@ -13,7 +13,7 @@ echo "(1) Downloading file... ${ORIGIN}"
http_response=$(curl -s -o "$TMP" -w "%{http_code}" ${ORIGIN})
if [ "$http_response" != "200" ]; then
echo "Error $http_response: you probably need to update the list url!"
- return 1
+ exit 1
fi
echo "(2) Processing IP addresses..."
@@ -25,4 +25,4 @@ cut -d ',' -f 1 $TMP | grep -v ':' > $LIST
rm -f $TMP $LIST $LIST_MERGED
echo "(3) iCloud Private Relay IPs are available in $DEST"
-return 0
+exit 0